import './filter_dialog.js';
import './filter_dialog_footer.js';
import '//resources/cr_elements/cr_checkbox/cr_checkbox.js';
import '//resources/cr_elements/cr_button/cr_button.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
export declare class AppDialogElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        anchorElement: {
            type: ObjectConstructor;
        };
        search: {
            type: StringConstructor;
        };
        pendingSelections: {
            type: ObjectConstructor;
        };
        initialSelections: {
            type: ObjectConstructor;
        };
        displayedApps: {
            type: ArrayConstructor;
        };
    };
    accessor anchorElement: HTMLElement | null;
    accessor search: string;
    accessor pendingSelections: Set<string>;
    accessor initialSelections: Set<string>;
    protected accessor displayedApps: string[];
    willUpdate(changedProperties: PropertyValues<this>): void;
    firstUpdated(changedProperties: PropertyValues<this>): void;
    private computeDisplayedApps;
    protected onAppSearchInput(e: InputEvent): void;
    protected onAppSearchKeydown(e: KeyboardEvent): void;
    protected onKeydown(e: KeyboardEvent): void;
    protected onCheckedChanged(e: Event): void;
    protected onAppApplyClick(): void;
    protected onCancelClick(): void;
    protected onClose(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'app-dialog': AppDialogElement;
    }
}
